summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorMasanori Ogino <masanori.ogino@gmail.com>2017-06-01 16:48:50 +0900
committerMichał Górny <mgorny@gentoo.org>2017-07-05 10:41:03 +0200
commitc9c800065e2460aea40e93eec05ebfcd35af68cd (patch)
tree931a0db0bce73ace137cb833dc2490025f4432ba /sci-electronics/systemc/systemc-2.3.1-r1.ebuild
parentgames-simulation/simutrans: Fixed broken rm call in src_prepare. (diff)
downloadgentoo-c9c800065e2460aea40e93eec05ebfcd35af68cd.tar.gz
gentoo-c9c800065e2460aea40e93eec05ebfcd35af68cd.tar.bz2
gentoo-c9c800065e2460aea40e93eec05ebfcd35af68cd.zip
sci-electronics/systemc-2.3*: Adopt to re-license.
Bug: https://bugs.gentoo.org/600302 Closes: https://github.com/gentoo/gentoo/pull/4820 Signed-off-by: Masanori Ogino <masanori.ogino@gmail.com>
Diffstat (limited to 'sci-electronics/systemc/systemc-2.3.1-r1.ebuild')
-rw-r--r--sci-electronics/systemc/systemc-2.3.1-r1.ebuild60
1 files changed, 60 insertions, 0 deletions
diff --git a/sci-electronics/systemc/systemc-2.3.1-r1.ebuild b/sci-electronics/systemc/systemc-2.3.1-r1.ebuild
new file mode 100644
index 00000000000..528688c0d2a
--- /dev/null
+++ b/sci-electronics/systemc/systemc-2.3.1-r1.ebuild
@@ -0,0 +1,60 @@
+# Copyright 1999-2017 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=5
+
+inherit eutils toolchain-funcs autotools-utils
+MY_P="${P}a"
+
+DESCRIPTION="A C++ based modeling platform for VLSI and system-level co-design"
+HOMEPAGE="http://accellera.org/community/systemc"
+SRC_URI="http://accellera.org/images/downloads/standards/${PN}/${MY_P}.tar.gz"
+
+SLOT="0"
+LICENSE="Apache-2.0"
+IUSE="doc static-libs"
+KEYWORDS="~amd64 ~x86"
+
+RESTRICT="test"
+
+AUTOTOOLS_IN_SOURCE_BUILD=1
+
+S="${WORKDIR}/${MY_P}"
+
+pkg_nofetch() {
+ elog "${PN} developers require end-users to accept their license agreement"
+ elog "by registering on their Web site (${HOMEPAGE})."
+ elog "Please download ${A} manually and place it in ${DISTDIR}."
+}
+
+src_prepare() {
+ for sfile in src/sysc/qt/md/*.s ; do
+ sed -i -e '$a \
+#if defined(__linux__) && defined(__ELF__) \
+.section .note.GNU-stack,"",%progbits \
+#endif' "${sfile}" || die "Patching ${sfile} failed"
+ done
+}
+
+src_configure() {
+ econf $(use_enable static-libs static) CXX=$(tc-getCXX)\
+ --with-unix-layout
+}
+
+src_install() {
+ dodoc AUTHORS ChangeLog INSTALL NEWS README RELEASENOTES
+ rm docs/Makefile* || die
+ use doc && dodoc -r docs/*
+ cd src
+ autotools-utils_src_install
+}
+
+pkg_postinst() {
+ elog "If you want to run the examples, you need to :"
+ elog " tar xvfz ${PORTAGE_ACTUAL_DISTDIR}/${A}"
+ elog " cd ${MY_P}"
+ elog " find examples -name 'Makefile.*' -exec sed -i -e 's/-lm/-lm -lpthread/' '{}' \;"
+ elog " ./configure"
+ elog " cd examples"
+ elog " make check"
+}